Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

New version (0.2.0)

  • Loading branch information...
commit bc342caf106212621212e4b0419c3f83c89b68cb 1 parent 3defa9d
@quirkey authored
View
8 History.txt
@@ -1,3 +1,11 @@
+== 0.2.0 2009-07-06
+
+* Updated to latest version of Vegas for Windows compatability
+* Links to RDoc should only display if Rdoc actually exists
+* Format the Gem description with RDoc
+* Reloads the gem list if the gem dir changes
+* Minor formatting updates
+
== 0.1.5 2009-05-22
* Fixed the config.ru so gembox can run on passenger [Thanks Lenary]
View
10 Manifest.txt
@@ -1,12 +1,14 @@
History.txt
+Manifest.txt
PostInstall.txt
README.rdoc
Rakefile
-config.ru
bin/gembox
-lib/extensions.rb
+config.ru
+gembox.gemspec
lib/gembox.rb
lib/gembox/app.rb
+lib/gembox/extensions.rb
lib/gembox/gem_list.rb
lib/gembox/gems.rb
lib/gembox/view_helpers.rb
@@ -23,10 +25,6 @@ public/javascripts/jquery.js
public/javascripts/jquery.metadata.js
public/javascripts/jquery.ui.js
public/swf/clippy.swf
-test/.bacon
-test/test_gembox_app.rb
-test/test_gembox_gems.rb
-test/test_helper.rb
views/doc.haml
views/file_tree.haml
views/gem.haml
View
3  Rakefile
@@ -13,8 +13,9 @@ $hoe = Hoe.new('gembox', Gembox::VERSION) do |p|
p.url = ['http://code.quirkey.com/gembox', 'http://github.com/quirkey/gembox']
p.extra_deps = [
['sinatra', '>=0.9.2'],
- ['vegas', '>=0.0.1'],
+ ['vegas', '>=0.0.3.1'],
['haml', '>=2.0.9'],
+ ['rdoc', '=2.4.3'],
['activesupport', '>=2.2.2'],
['mislav-will_paginate', '>=2.3.7']
]
View
17 gembox.gemspec
@@ -2,17 +2,17 @@
Gem::Specification.new do |s|
s.name = %q{gembox}
- s.version = "0.1.5"
+ s.version = "0.2.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Aaron Quint"]
- s.date = %q{2009-05-22}
+ s.date = %q{2009-07-06}
s.default_executable = %q{gembox}
s.description = %q{A sinatra based interface for browsing and admiring your gems.}
s.email = ["aaron@quirkey.com"]
s.executables = ["gembox"]
- s.extra_rdoc_files = ["History.txt", "PostInstall.txt", "README.rdoc"]
- s.files = ["History.txt", "PostInstall.txt", "README.rdoc", "Rakefile", "config.ru", "bin/gembox", "lib/extensions.rb", "lib/gembox.rb", "lib/gembox/app.rb", "lib/gembox/gem_list.rb", "lib/gembox/gems.rb", "lib/gembox/view_helpers.rb", "public/images/edit.png", "public/images/folder.png", "public/images/git.gif", "public/images/page.png", "public/images/page_white_text.png", "public/images/rubygems-125x125t.png", "public/javascripts/base.js", "public/javascripts/gembox.js", "public/javascripts/jquery.form.js", "public/javascripts/jquery.js", "public/javascripts/jquery.metadata.js", "public/javascripts/jquery.ui.js", "public/swf/clippy.swf", "test/.bacon", "test/test_gembox_app.rb", "test/test_gembox_gems.rb", "test/test_helper.rb", "views/doc.haml", "views/file_tree.haml", "views/gem.haml", "views/gembox.sass", "views/gems_columns.haml", "views/gems_header.haml", "views/gems_table.haml", "views/index.haml", "views/layout.haml", "views/no_results.haml"]
+ s.extra_rdoc_files = ["History.txt", "Manifest.txt", "PostInstall.txt", "README.rdoc"]
+ s.files = ["History.txt", "Manifest.txt", "PostInstall.txt", "README.rdoc", "Rakefile", "bin/gembox", "config.ru", "gembox.gemspec", "lib/gembox.rb", "lib/gembox/app.rb", "lib/gembox/extensions.rb", "lib/gembox/gem_list.rb", "lib/gembox/gems.rb", "lib/gembox/view_helpers.rb", "public/images/edit.png", "public/images/folder.png", "public/images/git.gif", "public/images/page.png", "public/images/page_white_text.png", "public/images/rubygems-125x125t.png", "public/javascripts/base.js", "public/javascripts/gembox.js", "public/javascripts/jquery.form.js", "public/javascripts/jquery.js", "public/javascripts/jquery.metadata.js", "public/javascripts/jquery.ui.js", "public/swf/clippy.swf", "views/doc.haml", "views/file_tree.haml", "views/gem.haml", "views/gembox.sass", "views/gems_columns.haml", "views/gems_header.haml", "views/gems_table.haml", "views/index.haml", "views/layout.haml", "views/no_results.haml", "test/test_gembox_app.rb", "test/test_gembox_gems.rb", "test/test_helper.rb"]
s.homepage = %q{http://code.quirkey.com/gembox}
s.post_install_message = %q{PostInstall.txt}
s.rdoc_options = ["--main", "README.rdoc"]
@@ -28,8 +28,9 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<sinatra>, [">= 0.9.2"])
- s.add_runtime_dependency(%q<vegas>, [">= 0.0.1"])
+ s.add_runtime_dependency(%q<vegas>, [">= 0.0.3.1"])
s.add_runtime_dependency(%q<haml>, [">= 2.0.9"])
+ s.add_runtime_dependency(%q<rdoc>, ["= 2.4.3"])
s.add_runtime_dependency(%q<activesupport>, [">= 2.2.2"])
s.add_runtime_dependency(%q<mislav-will_paginate>, [">= 2.3.7"])
s.add_development_dependency(%q<newgem>, [">= 1.2.3"])
@@ -37,8 +38,9 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<hoe>, [">= 1.8.0"])
else
s.add_dependency(%q<sinatra>, [">= 0.9.2"])
- s.add_dependency(%q<vegas>, [">= 0.0.1"])
+ s.add_dependency(%q<vegas>, [">= 0.0.3.1"])
s.add_dependency(%q<haml>, [">= 2.0.9"])
+ s.add_dependency(%q<rdoc>, ["= 2.4.3"])
s.add_dependency(%q<activesupport>, [">= 2.2.2"])
s.add_dependency(%q<mislav-will_paginate>, [">= 2.3.7"])
s.add_dependency(%q<newgem>, [">= 1.2.3"])
@@ -47,8 +49,9 @@ Gem::Specification.new do |s|
end
else
s.add_dependency(%q<sinatra>, [">= 0.9.2"])
- s.add_dependency(%q<vegas>, [">= 0.0.1"])
+ s.add_dependency(%q<vegas>, [">= 0.0.3.1"])
s.add_dependency(%q<haml>, [">= 2.0.9"])
+ s.add_dependency(%q<rdoc>, ["= 2.4.3"])
s.add_dependency(%q<activesupport>, [">= 2.2.2"])
s.add_dependency(%q<mislav-will_paginate>, [">= 2.3.7"])
s.add_dependency(%q<newgem>, [">= 1.2.3"])
View
2  lib/gembox.rb
@@ -10,7 +10,7 @@
require 'will_paginate/view_helpers'
module Gembox
- VERSION = '0.1.5'
+ VERSION = '0.2.0'
end
require 'gembox/extensions'
Please sign in to comment.
Something went wrong with that request. Please try again.